wp_default_packages_vendor() – Registers all the WordPress vendor scripts that are in the standardized `js/dist/vendor/` location.

You appear to be a bot. Output may be restricted

Description

Registers all the WordPress vendor scripts that are in the standardized js/dist/vendor/ location.

For the order of $scripts->add see `wp_default_scripts`.

Usage

wp_default_packages_vendor( $scripts );

Parameters

$scripts
( WP_Scripts ) required – WP_Scripts object.

Returns

void

Source

File name: wordpress/wp-includes/script-loader.php


Lines:

1 to 81 of 81
function wp_default_packages_vendor( $scripts ) {
  global $wp_locale;

  $suffix = wp_scripts_get_suffix();

  $vendor_scripts = array(
    'react'       => array( 'wp-polyfill' ),
    'react-dom'   => array( 'react' ),
    'regenerator-runtime',
    'moment',
    'lodash',
    'wp-polyfill-fetch',
    'wp-polyfill-formdata',
    'wp-polyfill-node-contains',
    'wp-polyfill-url',
    'wp-polyfill-dom-rect',
    'wp-polyfill-element-closest',
    'wp-polyfill-object-fit',
    'wp-polyfill' => array( 'regenerator-runtime' ),
  );

  $vendor_scripts_versions = array(
    'react'                       => '17.0.1',
    'react-dom'                   => '17.0.1',
    'regenerator-runtime'         => '0.13.9',
    'moment'                      => '2.29.2',
    'lodash'                      => '4.17.19',
    'wp-polyfill-fetch'           => '3.6.2',
    'wp-polyfill-formdata'        => '4.0.10',
    'wp-polyfill-node-contains'   => '4.0.0',
    'wp-polyfill-url'             => '3.6.4',
    'wp-polyfill-dom-rect'        => '4.0.0',
    'wp-polyfill-element-closest' => '2.0.2',
    'wp-polyfill-object-fit'      => '2.3.5',
    'wp-polyfill'                 => '3.15.0',
  );

  foreach ( $vendor_scripts as $handle => $dependencies ) {
    if ( is_string( $dependencies ) ) {
      $handle       = $dependencies;
      $dependencies = array();
    }

    $path    = "/wp-includes/js/dist/vendor/$handle$suffix.js";
    $version = $vendor_scripts_versions[ $handle ];

    $scripts->add( $handle, $path, $dependencies, $version, 1 );
  }

  did_action( 'init' ) && $scripts->add_inline_script( 'lodash', 'window.lodash = _.noConflict();' );

  did_action( 'init' ) && $scripts->add_inline_script(
    'moment',
    sprintf(
      "moment.updateLocale( '%s', %s );",
      get_user_locale(),
      wp_json_encode(
        array(
          'months'         => array_values( $wp_locale->month ),
          'monthsShort'    => array_values( $wp_locale->month_abbrev ),
          'weekdays'       => array_values( $wp_locale->weekday ),
          'weekdaysShort'  => array_values( $wp_locale->weekday_abbrev ),
          'week'           => array(
            'dow' => (int) get_option( 'start_of_week', 0 ),
          ),
          'longDateFormat' => array(
            'LT'   => get_option( 'time_format', __( 'g:i a' ) ),
            'LTS'  => null,
            'L'    => null,
            'LL'   => get_option( 'date_format', __( 'F j, Y' ) ),
            'LLL'  => __( 'F j, Y g:i a' ),
            'LLLL' => null,
          ),
        )
      )
    ),
    'after'
  );
}
 

 View on GitHub View on Trac